GeoTessCPP 2.6.1 Software to facilitate storage and retrieval of 3D information about the Earth.

Loading...
Searching...
No Matches
geotess Namespace Reference

## Classes
class | ArrayReuse
| An array reuse object for cases where arrays of some fixed type and size are required by the application over and over. More...
class | CPPUtils
| Basic static utility functions and variables. More...
class | CpuTimer
| Wall clock and cpu timing information. More...
class | EarthShape
| Defines the ellipsoid that is to be used to convert between geocentric and geographic latitude and between depth and radius. More...
class | GeoTessDataArray
| Manages a 1D array of data values attached to a single grid node. More...
class | GeoTessDataValue
| Manages a single data value attached to a grid node. More...
class | GeoTessData
| Abstract base class that manages the data values attached to a single grid point. More...
class | GeoTessDataType
| Enumeration of supported DataType including DOUBLE, FLOAT, LONG, INT, SHORT and BYTE. More...
class | GeoTessEnumType
| The base class for all "enum" types. More...
class | GeoTessException
| An exception class for all GeoTess objects. More...
class | GeoTessGreatCircle
| Manages information about a great circle path that extends from one point to another point, both or which are located on the surface of a unit sphere. More...
struct | Edge
| Stores information about the connection between two adjacent vertices which separates two neighboring triangles. More...
class | GeoTessGrid
| Manages the geometry and topology of one or more multi-level triangular tessellations of a unit sphere. Has many functions to retrieve information about the grid but knows nothing about Data. More...
class | GeoTessHorizon
| An abstract class that represents a single "surface" within a model. More...
class | GeoTessHorizonDepth
| Defines a "surface" in a model that resides at a constant depth. More...
class | GeoTessHorizonLayer
| Defines a "surface" in a model that resides at a constant fractional radius within a specified layer. More...
class | GeoTessHorizonRadius
| Defines a "surface" in a model that resides at a constant radius. More...
class | GeoTessInterpolatorType
| Enumeration of the interpolation algorithms supported by GeoTess including LINEAR, NATURAL_NEIGHBOR and CUBIC_SPLINE. More...
class | GeoTessMetaData
| Basic metadata information about a GeoTessModel. More...
class | GeoTessModel
| Top level class that manages the GeoTessMetaData, GeoTessGrid and GeoTessData that comprise a 3D Earth model. More...
class | GeoTessModelUtils
| A collection of static utilities that extract organized information from a GeoTessModel. More...
class | GeoTessOptimizationType
| Enumeration of the optimization strategies supported by GeoTess including OptimizationType::SPEED and OptimizationType::MEMORY. More...
class | GeoTessPointMap
| Relationships between vertices (2D positions in a tessellation), nodes (1D positions along a radial Profile) and points (3D positions in a model). More...
class | GeoTessPolygon
| An ordered list of points on the surface of a unit sphere that define a closed polygon. More...
class | GeoTessPolygon3D
| Extends Polygon by including information and constraints about the radial dimension. More...
class | GeoTessPolygonFactory
| Factory method with a static method getPolygon() that returns a pointer to either a Polygon or Polygon3D object. More...
class | GeoTessPosition
| Information about an interpolated point at an arbitrary position in a model. More...
class | GeoTessPositionLinear
| Implements linear interpolation in geographic dimensions of a grid. More...
class | GeoTessPositionNaturalNeighbor
| Implements the Natural Neighbor Interpolation algorithm for the geographic dimensions of the grid. More...
class | GeoTessProfile
| Abstract class that manages the radii and data values that span a single layer associated with a single vertex in the model. More...
class | GeoTessProfileConstant
| A Profile object that defines two radii at the bottom and top of the associated layer, and a single Data object that represents the model values throughout the layer. More...
class | GeoTessProfileEmpty
| A Profile object that defines two radii at the bottom and top of the associated layer, and no Data. More...
class | GeoTessProfileNPoint
| A Profile object consisting of N monotonically increasing radii that span the radial extent of a layer, and an equal number of Data objects that define the model values at the corresponding positions. More...
class | GeoTessProfileSurface
| A Profile object that defines a single Data object and no radius value. More...
class | GeoTessProfileSurfaceEmpty
| A Profile object that defines a single Data object and no radius value. More...
class | GeoTessProfileThin
| A Profile object consiting of a single radius value and a single Data object. It represents a profile through a layer that has no thickness. More...
class | GeoTessProfileType
| Enumeration of the valid Profile types, including EMPTY, THIN, CONSTANT, NPOINT and SURFACE. More...
class | GeoTessUtils
| Collection of static functions to manipulate geographic information. More...
class | IFStreamAscii
| Opens ascii file for read and write access. More...
class | IFStreamBinary
| Opens a file for binary read and write access. More...

## Functions
std::ostream & | operator<< (std::ostream &o, GeoTessEnumType &s)

## Function Documentation

## ◆ operator<<()

std::ostream & geotess::operator<< | ( | std::ostream & | o,
|  | GeoTessEnumType & | s )
| inline

Stream operator that will print the input EnumTypes name to the stream.

Definition at line 166 of file GeoTessEnumType.h.